GDB (xrefs)

Enumerations | Functions
amd64-linux-siginfo.h File Reference
`#include <signal.h>`

Go to the source code of this file.

## Enumerations
enum | amd64_siginfo_fixup_mode { FIXUP_32 = 1, FIXUP_X32 = 2 }

## Functions
int | amd64_linux_siginfo_fixup_common (siginfo_t *native, gdb_byte *inf, int direction, enum amd64_siginfo_fixup_mode mode)

## Enumeration Type Documentation

## ◆ amd64_siginfo_fixup_mode

enum amd64_siginfo_fixup_mode

Enumerator
FIXUP_32 |
FIXUP_X32 |

Definition at line 46 of file amd64-linux-siginfo.h.

## Function Documentation

## ◆ amd64_linux_siginfo_fixup_common()

int amd64_linux_siginfo_fixup_common | ( | siginfo_t * | native,
|  | gdb_byte * | inf,
|  | int | direction,
|  | enum amd64_siginfo_fixup_mode | mode
| ) |  |

Definition at line 561 of file amd64-linux-siginfo.c.

References compat_siginfo_from_siginfo(), compat_x32_siginfo_from_siginfo(), FIXUP_32, FIXUP_X32, ptrace(), siginfo_from_compat_siginfo(), and siginfo_from_compat_x32_siginfo().

Referenced by amd64_linux_siginfo_fixup().